#!/usr/bin/env python3

import sys
sys.path.append("../ServerCore")
from WorldManager import WorldManager

from pycallgraph import PyCallGraph
from pycallgraph.output import GraphvizOutput


def main(nchunks=10):
    world_seed = 42
    world_scale = 8

    # create world:
    wm = WorldManager(world_seed=world_seed, world_scale=world_scale)

    for x in range(nchunks):
        for y in range(nchunks):
            for z in range(nchunks):
                wm.createEmptyChunk(x, y, z)
                wm.applySimplexToChunk(x, y, z)
                # print(x,y,z)


if __name__ == "__main__":
    with PyCallGraph(output=GraphvizOutput()):
        main(10)
